## lwt 5.1.1

=== Makefile ===
# Default rule
.PHONY: default
default: build

# build the usual development packages
.PHONY: build
build:
	dune build

# run unit tests for package lwt
.PHONY: test
test: build
	dune runtest

# Promote expect test output.
.PHONY : promote
promote :
	for FILE in $$(ls _build/default/test/ppx_expect/cases/*.fixed); \
	do \
		EXPECT=test/ppx_expect/cases/$$(basename $${FILE%.fixed}).expect; \
		cp $$FILE $$EXPECT; \
	done

# Install dependencies needed during development.
.PHONY : dev-deps
dev-deps :
	opam install . --deps-only --yes

# Use Dune+odoc to generate static html documentation.
# Currently requires ocaml 4.03.0 to install odoc.
.PHONY: doc
doc:
	dune build @doc

# Build HTML documentation with ocamldoc
.PHONY: doc-api-html
doc-api-html: build
	$(MAKE) -C docs api/html/index.html

# Build wiki documentation with wikidoc
# requires ocaml 4.03.0 and pinning the repo
# https://github.com/ocsigen/wikidoc
.PHONY: doc-api-wiki
doc-api-wiki: build
	$(MAKE) -C docs api/wiki/index.wiki

# Packaging tests. These are run with Lwt installed by OPAM, typically during
# CI. To run locally, run the install-for-packaging-test target first.
.PHONY: packaging-test
packaging-test:
	ocamlfind query lwt
	for TEST in `ls -d test/packaging/*/*` ; \
	do \
	    $(MAKE) -wC $$TEST || exit 1 ; \
		echo ; \
		echo ; \
	done

.PHONY: install-for-packaging-test
install-for-packaging-test: clean
	opam pin add --yes --no-action lwt .
	opam pin add --yes --no-action lwt_ppx .
	opam pin add --yes --no-action lwt_react .
	opam reinstall --yes lwt lwt_ppx lwt_react

.PHONY: uninstall-after-packaging-test
uninstall-after-packaging-test:
	opam remove --yes lwt lwt_ppx lwt_react
	opam pin remove --yes lwt
	opam pin remove --yes lwt_ppx
	opam pin remove --yes lwt_react

# ppx_let integration test.
.PHONY : ppx_let-test
ppx_let-test :
	dune build test/ppx_let/test.exe
	dune exec test/ppx_let/test.exe

.PHONY : ppx_let-test-deps
ppx_let-test-deps :
	opam install --yes --unset-root ppx_let

.PHONY: clean
clean:
	dune clean
	find . -name '.merlin' | xargs rm -f
	rm -fr docs/api
	rm -f src/jbuild-ignore src/unix/lwt_config
	for TEST in `ls -d test/packaging/*/*` ; \
	do \
	    $(MAKE) -wC $$TEST clean ; \
	done
	rm -rf _coverage/

EXPECTED_FILES := \
    --expect src/core/ \
    --expect src/react/ \
    --expect src/unix/ \
    --do-not-expect src/unix/config/ \
    --do-not-expect src/unix/lwt_gc.ml \
    --do-not-expect src/unix/lwt_throttle.ml \
    --do-not-expect src/unix/unix_c/

.PHONY: coverage
coverage: clean coverage-only

.PHONY : coverage-only
coverage-only :
	BISECT_ENABLE=yes $(MAKE) build
	BISECT_ENABLE=yes dune runtest --force
	bisect-ppx-report html $(EXPECTED_FILES)
	bisect-ppx-report summary
	@echo See _coverage/index.html

=== test/packaging/ocamlfind/unix/Makefile ===
.PHONY : test
test : clean
	ocamlfind opt -package lwt.unix -c user.ml
	ocamlfind opt -package lwt.unix -linkpkg -thread user.cmx
	./a.out

.PHONY : clean
clean :
	rm -f *.cm* *.o a.out

=== debian/changelog ===
lwt (5.1.1-4) unstable; urgency=medium

  * Bump debhelper compat level to 13
  * Add empty dh_dwz override to fix FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jul 2020 16:43:58 +0200

lwt (5.1.1-3) unstable; urgency=medium

  * Disable page_size test altogether
  * Print page size at the end of override_dh_auto_build

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2020 09:14:23 +0100

lwt (5.1.1-2) unstable; urgency=medium

  * Tests: add 8192 as a possible page size

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2020 07:49:37 +0100

lwt (5.1.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2020 06:12:36 +0100

=== debian/control ===
Source: lwt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 libev-dev,
 ocaml-findlib,
 ocaml-dune,
 libdune-ocaml-dev,
 cppo,
 libfindlib-ocaml-dev,
 libreact-ocaml-dev,
 libresult-ocaml-dev,
 libmmap-ocaml-dev,
 libppx-tools-versioned-ocaml-dev,
 libocplib-endian-ocaml-dev,
 libseq-ocaml-dev,
 ocaml-compiler-libs,
 ocaml-nox
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: ocaml
Homepage: http://ocsigen.org/lwt
Vcs-Browser: https://salsa.debian.org/ocaml-team/lwt
Vcs-Git: https://salsa.debian.org/ocaml-team/lwt.git

Package: liblwt-ocaml-dev
Architecture: any
Depends:
 libev-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Suggests:
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Breaks: ocsigen (<< 1.2.1)
Description: cooperative light-weight thread library for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use the
 core Lwt OCaml library in your programs.

Package: liblwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<< 2.3.0)
Breaks: liblwt-ocaml-dev (<< 2.3.0)
Description: cooperative light-weight thread library for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using core Lwt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLPATH := $(CURDIR)/_tmp$(OCAML_STDLIB_DIR)
DUNE_INSTALL := dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p lwt
	$(DUNE_INSTALL) lwt
	dune build -p lwt_ppx
	$(DUNE_INSTALL) lwt_ppx
	dune build -p lwt_react
	$(DUNE_INSTALL) lwt_react
	mkdir _tmp/tmp
	cp debian/print_page_size.ml _tmp/tmp
	( cd _tmp/tmp && ocamlfind ocamlc -thread -package lwt.unix -linkpkg -custom print_page_size.ml && ./a.out )
	rm -rf _tmp/tmp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p lwt
# lwt_ppx tests are broken as of 5.1.1
#	dune runtest -p lwt_ppx
	dune runtest -p lwt_react
endif

override_dh_auto_install:
	rm -rf debian/tmp
	cp -a $(CURDIR)/_tmp debian/tmp
	rm -rf debian/tmp/usr/doc/lwt_ppx debian/tmp/usr/doc/lwt_react debian/tmp/usr/doc/lwt/LICENSE.md

override_dh_dwz:

## lwt 5.3.0

=== debian/changelog ===
lwt (5.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Aug 2020 09:28:54 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libreact-ocaml-dev,
  libresult-ocaml-dev,
  libmmap-ocaml-dev,
- libppx-tools-versioned-ocaml-dev,
+ libmigrate-parsetree-ocaml-dev (>= 1.5.0),
+ libppx-tools-versioned-ocaml-dev (>= 5.3.0),
  libocplib-endian-ocaml-dev,
  libseq-ocaml-dev,
  ocaml-compiler-libs,

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://github.com/ocsigen/lwt/releases .*/archive/([\d.]*)\.tar\.gz

## lwt 5.5.0

=== debian/changelog ===
lwt (5.5.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 13:59:37 +0100

lwt (5.5.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 01:02:55 +0100

lwt (5.5.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 22:52:43 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,15 @@
  libreact-ocaml-dev,
  libresult-ocaml-dev,
  libmmap-ocaml-dev,
- libmigrate-parsetree-ocaml-dev (>= 1.5.0),
- libppx-tools-versioned-ocaml-dev (>= 5.3.0),
+ libppxlib-ocaml-dev,
  libocplib-endian-ocaml-dev,
  libseq-ocaml-dev,
  ocaml-compiler-libs,
  ocaml-nox
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://ocsigen.org/lwt
+Homepage: https://ocsigen.org/lwt
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lwt
 Vcs-Git: https://salsa.debian.org/ocaml-team/lwt.git

=== debian/watch ===
version=4
https://github.com/ocsigen/lwt/releases .*/([\d.]+)\.tar\.gz

## lwt 5.6.1

=== Makefile ===
--- 
+++ 
@@ -81,11 +81,10 @@
 	opam install --yes --unset-root ppx_let
 
 .PHONY: clean
-clean:
+clean :
 	dune clean
-	find . -name '.merlin' | xargs rm -f
 	rm -fr docs/api
-	rm -f src/jbuild-ignore src/unix/lwt_config
+	rm -f src/unix/discover_arguments
 	for TEST in `ls -d test/packaging/*/*` ; \
 	do \
 	    $(MAKE) -wC $$TEST clean ; \
@@ -102,12 +101,11 @@
     --do-not-expect src/unix/unix_c/
 
 .PHONY: coverage
-coverage: clean coverage-only
-
-.PHONY : coverage-only
-coverage-only :
-	BISECT_ENABLE=yes $(MAKE) build
+coverage :
+	rm -rf _build/default/test/ppx_expect
+	find _build -name '*.coverage' | xargs rm -f
 	BISECT_ENABLE=yes dune runtest --force
+	BISECT_ENABLE=yes dune build @runtest_libuv --force
 	bisect-ppx-report html $(EXPECTED_FILES)
 	bisect-ppx-report summary
 	@echo See _coverage/index.html

=== docs/Makefile ===
BLD=../_build/default/src
SRC=../src

PKGS=\
	-package bytes -package result \
	-package bigarray -package unix \
	-package ocaml-migrate-parsetree -package ppx_tools_versioned \
	-package react \
	-package domainslib

INCS=\
	-I ${BLD}/core/.lwt.objs/byte \
	-I ${BLD}/ppx/.ppx_lwt.objs/byte \
	-I ${BLD}/react/.lwt_react.objs/byte \
	-I ${BLD}/domain/.lwt_domain.objs/byte \
	-I ${BLD}/unix/.lwt_unix.objs/byte

MLIS=\
	$(wildcard ${SRC}/core/*.mli) \
	$(wildcard ${SRC}/ppx/*.mli) \
	$(wildcard ${SRC}/react/*.mli) \
	$(wildcard ${SRC}/domain/*.mli) \
	$(filter-out ${BLD}/unix/lwt_unix.cppo.mli,$(wildcard ${BLD}/unix/*.mli))

MLIS := $(filter-out %.pp.mli,$(MLIS))

DOCOPT := -colorize-code -short-functors -charset utf-8

.PHONY: doc wikidoc
doc: api/html/index.html
api/html/index.html: ${MLIS} apiref-intro
	mkdir -p api/html
	ocamlfind ocamldoc ${DOCOPT} -package ocamlbuild,uchar ${PKGS} ${INCS} -intro apiref-intro -html \
		-d api/html \
		${MLIS}

wikidoc: api/wiki/index.wiki
api/wiki/index.wiki: ${MLIS} apiref-intro
	mkdir -p api/wiki
	ocamlfind ocamldoc ${DOCOPT} -package ocamlbuild,uchar ${PKGS} ${INCS} -intro apiref-intro \
		-d api/wiki \
		-i $(shell ocamlfind query wikidoc) -g odoc_wiki.cma \
		${MLIS}

.PHONY : clean
clean :
	rm -rf api/

=== test/packaging/dune/core/Makefile ===
.PHONY : test
test : clean
	dune build user.exe --root .
	_build/default/user.exe

.PHONY : clean
clean :
	dune clean --root .

=== test/packaging/ocamlfind/ppx/Makefile ===
.PHONY : test
test : clean
	ocamlfind opt -package lwt_ppx -c user.ml
	ocamlfind opt -package lwt -linkpkg user.cmx
	./a.out

.PHONY : clean
clean :
	rm -f *.cm* *.o a.out

=== test/packaging/ocamlfind/preemptive/Makefile ===
.PHONY : test
test : clean
	ocamlfind opt -package lwt.unix -c user.ml
	ocamlfind opt -package lwt.unix -thread -linkpkg user.cmx
	./a.out

.PHONY : clean
clean :
	rm -f *.cm* *.o a.out

=== debian/changelog ===
lwt (5.6.1-5) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 08:41:43 +0200

lwt (5.6.1-4) unstable; urgency=medium

  * Team upload.
  * Bum dep on more recent dune.
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 11:17:52 +0200

lwt (5.6.1-3) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 10:03:32 +0200

lwt (5.6.1-2) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 12:12:07 +0200

lwt (5.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 06:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
+ dh-ocaml (>= 1.2.2),
  libev-dev,
  ocaml-findlib,
  ocaml-dune,
- libdune-ocaml-dev,
+ libdune-ocaml-dev (>= 3.9.0),
  cppo,
  libfindlib-ocaml-dev,
  libreact-ocaml-dev,
@@ -19,7 +19,7 @@
  libseq-ocaml-dev,
  ocaml-compiler-libs,
  ocaml-nox
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://ocsigen.org/lwt

## lwt 5.7.0

=== Makefile ===
--- 
+++ 
@@ -105,7 +105,6 @@
 	rm -rf _build/default/test/ppx_expect
 	find _build -name '*.coverage' | xargs rm -f
 	BISECT_ENABLE=yes dune runtest --force
-	BISECT_ENABLE=yes dune build @runtest_libuv --force
 	bisect-ppx-report html $(EXPECTED_FILES)
 	bisect-ppx-report summary
 	@echo See _coverage/index.html

=== test/packaging/ocamlfind/core/Makefile ===
.PHONY : test
test : clean
	ocamlfind opt -package lwt -c user.ml
	ocamlfind opt -package lwt -linkpkg user.cmx
	./a.out

.PHONY : clean
clean :
	rm -f *.cm* *.o a.out

=== debian/changelog ===
lwt (5.7.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:01:33 +0000

lwt (5.7.0-1build4) noble; urgency=medium

  * Rebuild against libev1t64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Mar 2024 19:26:25 +0100

lwt (5.7.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 16:31:53 +0100

lwt (5.7.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:55:02 +0100

lwt (5.7.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:31:55 +0100

lwt (5.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 21:32:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: lwt
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -18,7 +19,7 @@
  libocplib-endian-ocaml-dev,
  libseq-ocaml-dev,
  ocaml-compiler-libs,
- ocaml-nox
+ ocaml
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml

## lwt 5.9.0

=== debian/changelog ===
lwt (5.9.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:53:37 +0100

lwt (5.9.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:52:49 +0100

lwt (5.9.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:18:01 +0100

lwt (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:50:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: lwt
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -18,9 +17,10 @@
  libppxlib-ocaml-dev,
  libocplib-endian-ocaml-dev,
  libseq-ocaml-dev,
+ libppx-let-ocaml-dev <!nocheck>,
  ocaml-compiler-libs,
  ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://ocsigen.org/lwt

## lwt 5.9.1

=== Makefile ===
--- 
+++ 
@@ -44,51 +44,17 @@
 doc-api-wiki: build
 	$(MAKE) -C docs api/wiki/index.wiki
 
-# Packaging tests. These are run with Lwt installed by OPAM, typically during
-# CI. To run locally, run the install-for-packaging-test target first.
-.PHONY: packaging-test
-packaging-test:
-	ocamlfind query lwt
-	for TEST in `ls -d test/packaging/*/*` ; \
-	do \
-	    $(MAKE) -wC $$TEST || exit 1 ; \
-		echo ; \
-		echo ; \
-	done
-
-.PHONY: install-for-packaging-test
-install-for-packaging-test: clean
-	opam pin add --yes --no-action lwt .
-	opam pin add --yes --no-action lwt_ppx .
-	opam pin add --yes --no-action lwt_react .
-	opam reinstall --yes lwt lwt_ppx lwt_react
-
-.PHONY: uninstall-after-packaging-test
-uninstall-after-packaging-test:
-	opam remove --yes lwt lwt_ppx lwt_react
-	opam pin remove --yes lwt
-	opam pin remove --yes lwt_ppx
-	opam pin remove --yes lwt_react
-
 # ppx_let integration test.
 .PHONY : ppx_let-test
 ppx_let-test :
 	dune build test/ppx_let/test.exe
 	dune exec test/ppx_let/test.exe
 
-.PHONY : ppx_let-test-deps
-ppx_let-test-deps :
-	opam install --yes --unset-root ppx_let
-
 .PHONY: clean
 clean :
 	dune clean
 	rm -fr docs/api
 	rm -f src/unix/discover_arguments
-	for TEST in `ls -d test/packaging/*/*` ; \
-	do \
-	    $(MAKE) -wC $$TEST clean ; \
-	done
 	rm -rf _coverage/
 
 EXPECTED_FILES := \

=== debian/changelog ===
lwt (5.9.1-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:20:34 +0200

lwt (5.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Mar 2025 10:00:26 +0100

## lwt 5.9.2

=== Makefile ===
--- 
+++ 
@@ -68,9 +68,7 @@
 
 .PHONY: coverage
 coverage :
-	rm -rf _build/default/test/ppx_expect
-	find _build -name '*.coverage' | xargs rm -f
-	BISECT_ENABLE=yes dune runtest --force
+	dune runtest --instrument-with bisect_ppx --force
 	bisect-ppx-report html $(EXPECTED_FILES)
 	bisect-ppx-report summary
 	@echo See _coverage/index.html

=== docs/Makefile ===
--- 
+++ 
@@ -5,21 +5,18 @@
 	-package bytes -package result \
 	-package bigarray -package unix \
 	-package ocaml-migrate-parsetree -package ppx_tools_versioned \
-	-package react \
-	-package domainslib
+	-package react
 
 INCS=\
 	-I ${BLD}/core/.lwt.objs/byte \
 	-I ${BLD}/ppx/.ppx_lwt.objs/byte \
 	-I ${BLD}/react/.lwt_react.objs/byte \
-	-I ${BLD}/domain/.lwt_domain.objs/byte \
 	-I ${BLD}/unix/.lwt_unix.objs/byte
 
 MLIS=\
 	$(wildcard ${SRC}/core/*.mli) \
 	$(wildcard ${SRC}/ppx/*.mli) \
 	$(wildcard ${SRC}/react/*.mli) \
-	$(wildcard ${SRC}/domain/*.mli) \
 	$(filter-out ${BLD}/unix/lwt_unix.cppo.mli,$(wildcard ${BLD}/unix/*.mli))
 
 MLIS := $(filter-out %.pp.mli,$(MLIS))

=== debian/changelog ===
lwt (5.9.2-2build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:44:48 +0200

lwt (5.9.2-2) unstable; urgency=medium

  * Remove ppxlib 0.35.0 support
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 04:35:45 +0200

lwt (5.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 09 Sep 2025 16:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  libreact-ocaml-dev,
  libresult-ocaml-dev,
  libmmap-ocaml-dev,
- libppxlib-ocaml-dev,
+ libppxlib-ocaml-dev (>= 0.36.0),
  libocplib-endian-ocaml-dev,
  libseq-ocaml-dev,
  libppx-let-ocaml-dev <!nocheck>,
  ocaml-compiler-libs,
  ocaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://ocsigen.org/lwt

=== debian/watch ===
version=4
https://github.com/ocsigen/lwt/tags .*/([\d.]+)\.tar\.gz
